Subject: bug#59609: 29.0.50; [PATCH] Better advertise (Non-)GNU ELPA in emacs manual

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Sep 2023 12:43:15 -0400

> It's a good starting point, but the copyright assignment issue is not
> the only issue (not even the main one, from my POV).  The main issue
> with NonGNU ELPA, IMO, is that packages there don't necessarily adhere
> to the Emacs coding conventions, are not supervised by the Emacs
> maintainers, and do not have to coordinate their development decisions
> with the Emacs team.  So their integration into Emacs could be less
> seamless than that of packages from GNU ELPA.

FWIW, GNU ELPA packages don't necessarily "adhere to the Emacs coding
conventions" either and neither are they all "supervised by the Emacs
maintainers" or "have to coordinate their development decisions with the
Emacs team".  Some do, but not all of them by a long shot.

In practice the real deciding factor *is* the copyright assignment
(which often ends up selecting for a kind of "philosophical agreement"
about the primacy of ethical goals over technical ones).

        Stefan